beim 2. TS Server stürzt TS nach ca 20 min. ab !

  • Hallo ...

    Trotz NPL 512 Slots 10 Server

    GrundServer TS3 ist instal. alles ok
    Server 1 läuft ohne Probleme mit 100 Slots oder mehr.
    Erstelle ich nen zweiten (egal wieviel Slots) gehen die TS Server nach ca 20 min. down (too many slots hosted, shutting down!)

    Licensing Information
    INFO |Accounting | | type : Non-profit
    INFO |Accounting | | max virtualservers : 10
    INFO |Accounting | | max slots : 512

    (query_ip_whitelist) ist die neue ip drin.

    Das ist erst seid dem ich auf dem neuen Server bin
    Vorher ging es

    Weiss jemand nen Rat ?

  • mount -t tmpfs tmpfs /dev/shm

    führe den mal auf dem root aus sieht so aus als könnte teamspeak die instanzen ned abfragen

    mehr info in der server_quickstart.txt

  • Das ist mein erster Linux Server ...
    Hatte vorher immer Windows Server.

    Wär es möglich mir dabei behilflich zu sein ?

    mfg Tommy

  • Quote from Tommy

    Das ist mein erster Linux Server ...
    Hatte vorher immer Windows Server.

    Wär es möglich mir dabei behilflich zu sein ?

    mfg Tommy


    Hast du Teamviewer ?

    Biete TekLab Installations Service Kostenlos

  • Habe alles mögliche ausprobiert.
    hab auch YaTQA installiert aber dort genau das selbe problem
    sobald der zweite server angelegt wird schmieren die server nach ca 20 min. ab.

    -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    2015-05-26 08:03:22.846367|INFO |ServerLibPriv | | TeamSpeak 3 Server 3.0.11.2 (2014-12-15 14:43:52)
    2015-05-26 08:03:22.846563|INFO |ServerLibPriv | | SystemInformation: Linux 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u1 x86_64 Binary: 32bit
    2015-05-26 08:03:22.846644|INFO |ServerLibPriv | | Using hardware aes
    2015-05-26 08:03:22.847725|INFO |DatabaseQuery | | dbPlugin name: SQLite3 plugin, Version 2, (c)TeamSpeak Systems GmbH
    2015-05-26 08:03:22.847787|INFO |DatabaseQuery | | dbPlugin version: 3.6.21
    2015-05-26 08:03:22.848282|INFO |DatabaseQuery | | checking database integrity (may take a while)
    2015-05-26 08:03:23.035255|INFO |Accounting | | Licensing Information
    2015-05-26 08:03:23.035367|INFO |Accounting | | type : Non-profit
    2015-05-26 08:03:23.035488|INFO |Accounting | | starting date : Sun Feb 1 00:00:00 2015
    2015-05-26 08:03:23.035570|INFO |Accounting | | ending date : Mon Aug 10 00:00:00 2015
    2015-05-26 08:03:23.035640|INFO |Accounting | | max virtualservers: 10
    2015-05-26 08:03:23.035699|INFO |Accounting | | max slots : 512
    2015-05-26 08:03:26.400848|INFO | | | Puzzle precompute time: 3344
    2015-05-26 08:03:26.401525|INFO |FileManager | | listening on 0.0.0.0:30033
    2015-05-26 08:03:26.476053|INFO |CIDRManager | | updated query_ip_whitelist ips: xx.xxx.xxx.xx,
    2015-05-26 08:03:26.476837|INFO |Query | | listening on 0.0.0.0:10011
    2015-05-26 12:04:15.564734|ERROR |Accounting | | too many slots hosted, shutting down!
    2015-05-26 12:04:15.564881|ERROR |Accounting | | too many slots hosted, shutting down!

    -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    2015-05-26 11:48:15.990974|INFO |VirtualServer | 28| listening on 0.0.0.0:9900
    2015-05-26 11:48:15.991439|INFO |VirtualServer | 28| client 'server'(id:0) added privilege key for servergroup 'Server Admin'(id:152)
    2015-05-26 11:48:15.991521|WARNING |VirtualServer | 28| --------------------------------------------------------
    2015-05-26 11:48:15.991594|WARNING |VirtualServer | 28| ServerAdmin privilege key created, please use the line below
    2015-05-26 11:48:15.991634|WARNING |VirtualServer | 28| token=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    2015-05-26 11:48:15.991672|WARNING |VirtualServer | 28| --------------------------------------------------------
    2015-05-26 12:04:15.719804|INFO |VirtualServerBase| 28| stopped

    -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


    @ DJ Neonlife

    Ja ich habe Teamviewer ...

    mfg Tommy

  • hier mal mein startcript.sh

    --------------------------------------------------------------------------------------------

    #!/bin/sh
    # Copyright (c) 2010 TeamSpeak Systems GmbH
    # All rights reserved

    export LD_LIBRARY_PATH=".:$LD_LIBRARY_PATH"

    D1=$(readlink -f "$0")
    D2=$(dirname "${D1}")
    cd "${D2}"


    if [ -e ts3server_linux_x86 ]; then
    if [ -z "`uname | grep Linux`" -o ! -z "`uname -m | grep 64`" ]; then
    echo "Do you have the right TS3 Server package for your system? You have: `uname` `uname -m`, not Linux i386."
    fi
    BINARYNAME="ts3server_linux_x86"
    elif [ -e ts3server_linux_amd64 ]; then
    if [ -z "`uname | grep Linux`" -o -z "`uname -m | grep 64`" ]; then
    echo "Do you have the right TS3 Server package for your system? You have: `uname` `uname -m`, not Linux x86_64."
    fi
    BINARYNAME="ts3server_linux_amd64"
    elif [ -e ts3server_freebsd_x86 ]; then
    if [ -z "`uname | grep FreeBSD`" -o ! -z "`uname -m | grep 64`" ]; then
    echo "Do you have the right TS3 Server package for your system? You have: `uname` `uname -m`, not FreeBSD i386."
    fi
    BINARYNAME="ts3server_freebsd_x86"
    elif [ -e ts3server_freebsd_amd64 ]; then
    if [ -z "`uname | grep FreeBSD`" -o -z "`uname -m | grep 64`" ]; then
    echo "Do you have the right TS3 Server package for your system? You have: `uname` `uname -m`, not FreeBSD amd64."
    fi
    BINARYNAME="ts3server_freebsd_amd64"
    else
    echo "Could not locate binary file, aborting"
    exit 5
    fi

    case "$1" in
    start)
    if [ -e ts3server.pid ]; then
    if ( kill -0 $(cat ts3server.pid) 2> /dev/null ); then
    echo "The server is already running, try restart or stop"
    exit 1
    else
    echo "ts3server.pid found, but no server running. Possibly your previously started server crashed"
    echo "Please view the logfile for details."
    rm ts3server.pid
    fi
    fi
    if [ "${UID}" = "0" ]; then
    echo WARNING ! For security reasons we advise: DO NOT RUN THE SERVER AS ROOT
    c=1
    while [ "$c" -le 10 ]; do
    echo -n "!"
    sleep 1
    c=$(($c+1))
    done
    echo "!"
    fi
    echo "Starting the TeamSpeak 3 server"
    if [ -e "$BINARYNAME" ]; then
    if [ ! -x "$BINARYNAME" ]; then
    echo "${BINARYNAME} is not executable, trying to set it"
    chmod u+x "${BINARYNAME}"
    fi
    if [ -x "$BINARYNAME" ]; then
    export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}"
    "./${BINARYNAME}" ${COMMANDLINE_PARAMETERS} > /dev/null &
    PID=$!
    ps -p ${PID} > /dev/null 2>&1
    if [ "$?" -ne "0" ]; then
    echo "TeamSpeak 3 server could not start"
    else
    echo $PID > ts3server.pid
    echo "TeamSpeak 3 server started, for details please view the log file"
    fi
    else
    echo "${BINARNAME} is not exectuable, cannot start TeamSpeak 3 server"
    fi
    else
    echo "Could not find binary, aborting"
    exit 5
    fi
    ;;
    stop)
    if [ -e ts3server.pid ]; then
    echo -n "Stopping the TeamSpeak 3 server"
    if ( kill -TERM $(cat ts3server.pid) 2> /dev/null ); then
    c=1
    while [ "$c" -le 300 ]; do
    if ( kill -0 $(cat ts3server.pid) 2> /dev/null ); then
    echo -n "."
    sleep 1
    else
    break
    fi
    c=$(($c+1))
    done
    fi
    if ( kill -0 $(cat ts3server.pid) 2> /dev/null ); then
    echo "Server is not shutting down cleanly - killing"
    kill -KILL $(cat ts3server.pid)
    else
    echo "done"
    fi
    rm ts3server.pid
    else
    echo "No server running (ts3server.pid is missing)"
    exit 7
    fi
    ;;
    restart)
    $0 stop && $0 start ${COMMANDLINE_PARAMETERS} || exit 1
    ;;
    status)
    if [ -e ts3server.pid ]; then
    if ( kill -0 $(cat ts3server.pid) 2> /dev/null ); then
    echo "Server is running"
    else
    echo "Server seems to have died"
    fi
    else
    echo "No server running (ts3server.pid is missing)"
    fi
    ;;
    *)
    echo "Usage: ${0} {start|stop|restart|status}"
    exit 2
    esac
    exit 0

    --------------------------------------------------------------------------------------------

    @ DJ Neonlife
    Ich bin immer abends in mein TS : 89.163.227.75:9987

  • Er nutzt eine 32Bit Version von Teamspeak. Vielleicht liegt es daran ;).
    Ich hoffe du startest den Teamspeak nicht mit Root......

  • Quote from Nosxxx

    Er nutzt eine 32Bit Version von Teamspeak. Vielleicht liegt es daran ;).
    Ich hoffe du startest den Teamspeak nicht mit Root......


    Nene das ist der Fehler nicht.

    Biete TekLab Installations Service Kostenlos

  • Das ist eindeutig falsch....

    SystemInformation: Linux 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u1 x86_64 Binary: 32bit

    Bei mir siehts so aus:
    SystemInformation: Linux 2.6.32-042stab104.1 #1 SMP Thu Jan 29 12:58:41 MSK 2015 x86_64 Binary: 64bit

  • Nein ...
    Ich kann den Server bis auf 512 Slots erhöhen ohne Probleme.

    Erst wenn ich ein zweiten Server erstelle gibt es Probleme ^^

  • Das wär sehr ärgerlich ...
    Zumal ja in der Lizenz steht

    <div style="margin:0px;color:rgb(40,40,40);font-family:'Open Sans', Helvetica, Arial, sans-serif;">
    <div style="margin:0px;">type: Non-profit
    <div style="margin:0px;">max virtualservers: 10
    <div style="margin:0px;">max slots: 512

  • Connecte mal auf den Server und poste mal hier rein, was in der Lizenzdatei aktuell steht. Die aktualisiert sich ja immer von selbst.

  • Wie lange hast du die Lizenz schon?

    Recht Neu oder eher schon 1 Jahr.-

    Wenn du sie Komplett Neu hast darfst du wirklich nur 1 Server mit 512 Slot oder wie du magst erstellen.
    Das Problem habe ich bei meiner 2 NPL Lizenz auf meinem Privat Server auch.